Vai al contenuto

Voli

Read the next page of a running search. `status` becomes `complete` when every supplier answered.

get/v1/flights/search/{searchId}

  • Richiede autenticazione

Parametri

NomePosizioneTipoDescrizione
searchId*percorsostring
cursorquery stringinteger (int32)
adultsquery stringinteger (int32)
childrenquery stringinteger (int32)
infantsquery stringinteger (int32)

Risposte

200OKFlightSearchResponse

  • searchIdstring
  • statusstring

    in_progress | complete.

  • cursorinteger (int32)
  • suppliersDoneinteger (int32)
  • supplierCountinteger (int32)
  • FlightOffer[]
    • offerIdstring
    • expiresAtstring (date-time)

      UTC ISO-8601; the offer must be priced/booked before this.

    • validatingCarrierstringpuò essere null
    • Slice[]
    • PassengerPricing[]
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • refundablebooleanpuò essere null
    • passportRequiredboolean
    • selfTransferboolean
    • charterboolean
    • tripTypestringpuò essere null
  • 404Not FoundDettagli del problema RFC 7807

Esempi di codice

Programmi completi che firmano la richiesta nel modo in cui il gateway la verifica. Sostituisci YOUR_KEY_ID e YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/search/04864abd0ae74b10baa02b8214a2044f\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/flights/search/04864abd0ae74b10baa02b8214a2044f" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"